Bug 212750 - audio/spek: update to 0.8.3 and github
Summary: audio/spek: update to 0.8.3 and github
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Jason E. Hale
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-16 19:35 UTC by shun
Modified: 2016-12-28 16:01 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (alexander)


Attachments
update to 0.8.3 and github (676 bytes, patch)
2016-09-16 19:35 UTC, shun
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description shun 2016-09-16 19:35:25 UTC
Created attachment 174859 [details]
update to 0.8.3 and github

This PR updates this port from 0.8.2_4 to 0.8.3 and uses github as the new source after the googlecode purge.
Comment 1 shun 2016-09-20 11:57:52 UTC
This PR is incomplete. Autotools have to be incorporated properly.
Comment 2 commit-hook freebsd_committer 2016-12-28 15:51:22 UTC
A commit references this bug:

Author: jhale
Date: Wed Dec 28 15:50:14 UTC 2016
New revision: 429785
URL: https://svnweb.freebsd.org/changeset/ports/429785

Log:
  - Unbreak fetch (project has moved to Github) [1]
  - Fix LICENSE
  - Sort and remove duplicate desktop-file-utils from USES
  - Remove deprecated WX_UNICODE
  - Add patch to fix build with ffmpeg 3.x

  PR:		212750 (based on) [1]
  Submitted by:	shun <shun.fbsd.pr@dropcut.net> [1]
  Approved by:	maintainer timeout (3 months)

Changes:
  head/audio/spek/Makefile
  head/audio/spek/files/
  head/audio/spek/files/patch-src_spek-audio.cc
Comment 3 Jason E. Hale freebsd_committer 2016-12-28 16:01:39 UTC
I've committed a fix to download the original 0.8.2 source from Github. Not updating to 0.8.3 since it only contains an OSX-specific fix. This allows us to use the pre-generated configure script, etc.

I also made a few obvious fixes noted in the commit log and added a patch to fix the build with the latest ffmpeg. I did a run test with it and it seems to work fine.